#---------------------------------------------------------------------------
#
#   SuPy - GUI library
#
#---------------------------------------------------------------------------

import os, sys

def include(subdir):
	pkgdir = os.path.dirname(__file__)
	__path__.append(os.path.join(pkgdir, subdir))

def include_subdirs():
	plat = sys.platform
	if plat.startswith("darwin"):
		include("cocoa")
	elif plat.startswith("win"):
		include("win32")
	else:
		raise ImportError("No gui implementation available for platform '%s'"
			% plat)
	include("generic")

include_subdirs()
#print "gui: __path__ =", __path__ ###
